Subject: bug#44443: closed (Re: bug#44443: I apparently found a bug?)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Nov 2020 18:23:02 +0000

Your bug report

#44443: I apparently found a bug?

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44443: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44443
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44443: I apparently found a bug?
From: "Brian C. Lane" <[email-masked]>
To: [email-masked]
Date: Wed, 4 Nov 2020 10:22:21 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Nov 04, 2020 at 09:17:46AM -0600, TrotFox Greyfoot wrote:
> Ver 3.2 reported a bug and told me to mail you:
> 
> After entering 'print' on an external USB HDD that is giving some odd
> errors, parted returned:
> 
> 
> 
> 
> *Assertion (dev != NULL) at ../../libparted/disk.c:185 in function
> ped_disk_new()failed.Aborted*

I'd need more of the backtrace and maybe a copy of the MBR to figure out
more. But coupled with 'giving some odd errors' I'd guess you have a
hardware problem. Check your system's logs for i/o errors related to the
device. If that's the case there's nothing parted can do about it.

> See also:
> 
> 
> 
> *pi@raspberrypi:~ $ sudo parted sdb unit co print unit s printError: Could
> not stat device sdb - No such file or directory.Retry/Cancel? c*

You told it to use sdb, not /dev/sdb in that case :)

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart

Subject: I apparently found a bug?
From: TrotFox Greyfoot <[email-masked]>
To: [email-masked]
Date: Wed, 4 Nov 2020 09:17:46 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Ver 3.2 reported a bug and told me to mail you:

After entering 'print' on an external USB HDD that is giving some odd
errors, parted returned:

*Assertion (dev != NULL) at ../../libparted/disk.c:185 in function
ped_disk_new()failed.Aborted*

See also:

*pi@raspberrypi:~ $ sudo parted sdb unit co print unit s printError: Could
not stat device sdb - No such file or directory.Retry/Cancel? c*

Thanks,
Landon
-- 
|  /\_/\       TrotFox         \ Always remember,
| ( o o ) AKA Landon Solomon \ "There is a
|  >\_/<       [email-masked]       \ third alternative."